> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch List Of Skills Added In Archer

> This operation will no longer be available after 2025-04-30 and will be discontinued in upcoming weeks due to the deprecation of the direct use of apps and skills in the AI agent. Use tools to complete specific tasks through agents.



## OpenAPI

````yaml get /v1/applications/skills
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/applications/skills:
    get:
      tags:
        - Artifact Management
      summary: Fetch List Of Skills Added In Archer
      description: >-
        This operation will no longer be available after 2025-04-30 and will be
        discontinued in upcoming weeks due to the deprecation of the direct use
        of apps and skills in the AI agent. Use tools to complete specific tasks
        through agents.
      operationId: Fetch_List_of_Skills_added_in_Archer_v1_applications_skills_get
      parameters:
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 0
                maxLength: 50
              - type: 'null'
            title: Search
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_SkillResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_SkillResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SkillResponse'
          type: array
          title: Items
          description: List of items fetched in the current page
        total:
          type: integer
          title: Total
          description: Total number of items available across all pages
        offset:
          type: integer
          title: Offset
          description: The offset from which the items are fetched in the current page
        limit:
          type: integer
          title: Limit
          description: Number of items to be fetched per page
      type: object
      required:
        - items
        - total
        - offset
        - limit
      title: PaginatedResponse[SkillResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SkillResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Primary key of the artifact
        skill_id:
          type: string
          minLength: 1
          title: Skill Id
          description: Skill Id
        artifact_name:
          type: string
          title: Artifact Name
          description: Name of the artifact
        artifact_type:
          type: string
          title: Artifact Type
          description: Type of the artifact
          default: SKILL
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the artifact
        routing_description:
          type: string
          maxLength: 500
          minLength: 1
          title: Routing Description
          description: Routing description for the artifact
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          description: Icon associated with the artifact
        group_id:
          type: string
          format: uuid
          title: Group Id
          description: Foreign key referencing the artifact_group table
        group_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Name
          description: Group Name
        tenant_id:
          type: string
          title: Tenant Id
          description: Foreign key referencing the tenants table
      type: object
      required:
        - id
        - skill_id
        - artifact_name
        - routing_description
        - group_id
        - tenant_id
      title: SkillResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````